import std/json, std/options, std/strutils

func reqStrVal*(n: JsonNode, key: string): string =
  if n.hasKey(key):
    let val = n[key].getStr("")
    if not val.isEmptyOrWhitespace: return val

  raise newException(ValueError, "missing value for '" & key & "'")

func optStrVal*(n: JsonNode, key: string): Option[string] =
  if n.hasKey(key): some(n[key].getStr)
  else: none[string]()
